Subject: bug#69276: closed (Re: [bug#69276] [PATCH 1/2] gnu: libtorrent-rasterbar: Update to 2.0.10.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Oct 2024 09:14:02 +0000

Your bug report

#69276: [PATCH] gnu: libtorrent-rasterbar: Update to 2.0.10.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69276: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69276
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69276] [PATCH 1/2] gnu: libtorrent-rasterbar: Update to 2.0.10.
From: Z572 <[email-masked]>
To: Adam Faiz via Guix-patches via <[email-masked]>
Cc: [email-masked], Adam Faiz <[email-masked]>
Date: Sun, 06 Oct 2024 17:12:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Adam Faiz via Guix-patches via <[email-masked]> writes:

> From 4af05095ca922bb6d0335a6e946a404d4764ac1f Mon Sep 17 00:00:00 2001
> Message-ID: <4[email-masked]>
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> From: AwesomeAdam54321 <[email-masked]>
> Date: Tue, 6 Aug 2024 19:57:47 +0800
> Subject: [PATCH 1/2] gnu: libtorrent-rasterbar: Update to 2.0.10.
>
> * gnu/packages/bittorrent.scm (libtorrent-rasterbar): Update to 2.0.10.
> [source]<snippet>: Remove test/test_copy_file.cpp patch since it's resolved.
> [native-inputs]: Remove no longer needed file (v2_empty_file.torrent).
> [arguments]<#:phases>: And remove a phase copying it into the correct place.
> ---
>  gnu/packages/bittorrent.scm | 28 +++-------------------------
>  1 file changed, 3 insertions(+), 25 deletions(-)
>
> diff --git a/gnu/packages/bittorrent.scm b/gnu/packages/bittorrent.scm
> index 5c2fa9c688..abc598f7fa 100644
> --- a/gnu/packages/bittorrent.scm
> +++ b/gnu/packages/bittorrent.scm
> @@ -418,16 +418,10 @@ (define-public mktorrent
>      (license (list l:public-domain      ; sha1.*, used to build without OpenSSL
>                     l:gpl2+))))          ; with permission to link with OpenSSL
>  
> -(define %v2_empty_file.torrent
> -  (origin (method url-fetch)
> -          (uri "https://github.com/arvidn/libtorrent/raw/v2.0.9/test/test_torrents/v2_empty_file.torrent")
> -          (sha256
> -           (base32 "1hydgf0m9193hy9010wl0wrbz4k4cgrqg70jakx68pgi79jcqnrn"))))
> -
>  (define-public libtorrent-rasterbar
>    (package
>      (name "libtorrent-rasterbar")
> -    (version "2.0.9")
> +    (version "2.0.10")
>      (source
>       (origin
>         (method url-fetch)
> @@ -436,14 +430,7 @@ (define-public libtorrent-rasterbar
>                         "releases/download/v" version "/"
>                         "libtorrent-rasterbar-" version ".tar.gz"))
>         (sha256
> -        (base32 "13kry578ifzz4m2f291bbd7v5v9zsi8y3mf38146cnqw0sv95kch"))
> -       ;; https://github.com/arvidn/libtorrent/issues/7566
> -       ;; Remove when resolved.  I would hope this to be fixed in 2.0.10.
> -       (modules '((guix build utils)))
> -       (snippet
> -        #~(substitute* "test/test_copy_file.cpp"
> -            (("EXT4_SUPER_MAGIC, EXT3_SUPER_MAGIC, XFS_SUPER_MAGIC" all)
> -             (string-append all ", TMPFS_MAGIC\n"))))))
> +        (base32 "0pc8rbcp7njbx8m02z47pcbbwcp5cjggbgq4sfjc19dc3n65p4zw"))))
>      (build-system cmake-build-system)
>      (arguments
>       `(#:configure-flags '("-Dpython-bindings=ON"
> @@ -452,14 +439,6 @@ (define-public libtorrent-rasterbar
>         #:parallel-tests? #f
>         #:phases
>         (modify-phases %standard-phases
> -         ;; https://github.com/arvidn/libtorrent/issues/7567
> -         ;; Remove when resolved.  I would hope this to be fixed in 2.0.10.
> -         ;; Do not forget to remove the %v2_empty_file.torrent variable.
> -         (add-before 'configure 'copy-v2_empty_file.torrent
> -           (lambda* (#:key native-inputs inputs #:allow-other-keys)
> -             (copy-file (assoc-ref (or native-inputs inputs)
> -                                   "%v2_empty_file.torrent")
> -                        "test/test_torrents/v2_empty_file.torrent")))
>           (replace 'check
>             (lambda* (#:key tests? parallel-tests? #:allow-other-keys)
>               (let* ((disabled-tests
> @@ -502,8 +481,7 @@ (define-public libtorrent-rasterbar
>      (inputs (list boost openssl))
>      (native-inputs `(("libfaketime" ,libfaketime)
>                       ("python-wrapper" ,python-wrapper)
> -                     ("pkg-config" ,pkg-config)
> -                     ("%v2_empty_file.torrent" ,%v2_empty_file.torrent)))
> +                     ("pkg-config" ,pkg-config)))
>      (home-page "https://www.libtorrent.org/")
>      (synopsis "Feature-complete BitTorrent implementation")
>      (description

adjust message, not use #; , push and close.

Subject: [PATCH] gnu: libtorrent-rasterbar: Update to 2.0.10.
From: Tomas Volf <[email-masked]>
To: [email-masked]
Cc: Tomas Volf <[email-masked]>
Date: Mon, 19 Feb 2024 17:16:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/bittorrent.scm (libtorrent-rasterbar): Update to 2.0.10.

Change-Id: I9056b2cb6eac9740f95daf2fb73d874ca95f1a7f
---
 gnu/packages/bittorrent.scm | 32 +++++---------------------------
 1 file changed, 5 insertions(+), 27 deletions(-)

diff --git a/gnu/packages/bittorrent.scm b/gnu/packages/bittorrent.scm
index 0d544235c1..34a7c17738 100644
--- a/gnu/packages/bittorrent.scm
+++ b/gnu/packages/bittorrent.scm
@@ -418,16 +418,10 @@ (define-public mktorrent
     (license (list l:public-domain      ; sha1.*, used to build without OpenSSL
                    l:gpl2+))))          ; with permission to link with OpenSSL
 
-(define %v2_empty_file.torrent
-  (origin (method url-fetch)
-          (uri "https://github.com/arvidn/libtorrent/raw/v2.0.9/test/test_torrents/v2_empty_file.torrent")
-          (sha256
-           (base32 "1hydgf0m9193hy9010wl0wrbz4k4cgrqg70jakx68pgi79jcqnrn"))))
-
 (define-public libtorrent-rasterbar
   (package
     (name "libtorrent-rasterbar")
-    (version "2.0.9")
+    (version "2.0.10")
     (source
      (origin
        (method url-fetch)
@@ -436,14 +430,7 @@ (define-public libtorrent-rasterbar
                        "releases/download/v" version "/"
                        "libtorrent-rasterbar-" version ".tar.gz"))
        (sha256
-        (base32 "13kry578ifzz4m2f291bbd7v5v9zsi8y3mf38146cnqw0sv95kch"))
-       ;; https://github.com/arvidn/libtorrent/issues/7566
-       ;; Remove when resolved.  I would hope this to be fixed in 2.0.10.
-       (modules '((guix build utils)))
-       (snippet
-        #~(substitute* "test/test_copy_file.cpp"
-            (("EXT4_SUPER_MAGIC, EXT3_SUPER_MAGIC, XFS_SUPER_MAGIC" all)
-             (string-append all ", TMPFS_MAGIC\n"))))))
+        (base32 "0pc8rbcp7njbx8m02z47pcbbwcp5cjggbgq4sfjc19dc3n65p4zw"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-Dpython-bindings=ON"
@@ -452,14 +439,6 @@ (define-public libtorrent-rasterbar
        #:parallel-tests? #f
        #:phases
        (modify-phases %standard-phases
-         ;; https://github.com/arvidn/libtorrent/issues/7567
-         ;; Remove when resolved.  I would hope this to be fixed in 2.0.10.
-         ;; Do not forget to remove the %v2_empty_file.torrent variable.
-         (add-before 'configure 'copy-v2_empty_file.torrent
-           (lambda* (#:key native-inputs inputs #:allow-other-keys)
-             (copy-file (assoc-ref (or native-inputs inputs)
-                                   "%v2_empty_file.torrent")
-                        "test/test_torrents/v2_empty_file.torrent")))
          (replace 'check
            (lambda* (#:key tests? parallel-tests? #:allow-other-keys)
              (let* ((disabled-tests
@@ -500,10 +479,9 @@ (define-public libtorrent-rasterbar
                  ;;         "--output-on-failure")
                  )))))))
     (inputs (list boost openssl))
-    (native-inputs `(("libfaketime" ,libfaketime)
-                     ("python-wrapper" ,python-wrapper)
-                     ("pkg-config" ,pkg-config)
-                     ("%v2_empty_file.torrent" ,%v2_empty_file.torrent)))
+    (native-inputs (list libfaketime
+                         python-wrapper
+                         pkg-config))
     (home-page "https://www.libtorrent.org/")
     (synopsis "Feature-complete BitTorrent implementation")
     (description

base-commit: fdbf4192f5eaa7fdb5e6e2e98ada0726c8104824
-- 
2.41.0